Loading...
Searching...
No Matches
pcl::cuda::ScopeTimeGPU Class Reference

Class to measure the time spent in a scope. More...

`#include </build/pcl-uIWyNl/pcl-1.15.1+dfsg/cuda/common/include/pcl/cuda/time_gpu.h>`

## Public Member Functions

| ScopeTimeGPU (const char *title)
| Constructor.
| ~ScopeTimeGPU ()
| Destructor.
void | start ()
| Start the timer.
void | stop ()
| Stop the timer.
void | stop_print ()
| Stop and print the timer.

## Detailed Description

Class to measure the time spent in a scope.

To use this class, e.g. to measure the time spent in a function, just create an instance at the beginning of the function.

Definition at line 53 of file time_gpu.h.

## Constructor & Destructor Documentation

## ScopeTimeGPU()

pcl::cuda::ScopeTimeGPU::ScopeTimeGPU | ( | const char * | title | ) |

inline

Constructor.

Definition at line 57 of file time_gpu.h.

References start().

## ~ScopeTimeGPU()

pcl::cuda::ScopeTimeGPU::~ScopeTimeGPU | ( |  | ) |

inline

Destructor.

Definition at line 63 of file time_gpu.h.

References stop().

## Member Function Documentation

## start()

void pcl::cuda::ScopeTimeGPU::start | ( |  | ) |

inline

Start the timer.

Definition at line 71 of file time_gpu.h.

Referenced by ScopeTimeGPU().

## stop()

void pcl::cuda::ScopeTimeGPU::stop | ( |  | ) |

inline

Stop the timer.

Definition at line 82 of file time_gpu.h.

Referenced by stop_print(), and ~ScopeTimeGPU().

## stop_print()

void pcl::cuda::ScopeTimeGPU::stop_print | ( |  | ) |

inline

Stop and print the timer.

Definition at line 96 of file time_gpu.h.

References stop().

The documentation for this class was generated from the following file:

- /build/pcl-uIWyNl/pcl-1.15.1+dfsg/cuda/common/include/pcl/cuda/time_gpu.h